// multivie.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMDIMultiViewChildWnd frame

class CMDIMultiViewChildWnd : public CMDIChildWnd
{
    DECLARE_DYNCREATE(CMDIMultiViewChildWnd)
protected:
    CMDIMultiViewChildWnd();            // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
    void  SetActiveView(CView *pViewNew ,
                        BOOL bNotify = TRUE) ;
    CView *AddView(CCreateContext* pContext)
                    { return (CView *)
                            (OnCreateClient(NULL,
                                            pContext)); };

// Implementation
protected:
    int nViewId ;
    virtual ~CMDIMultiViewChildWnd();
    BOOL OnCreateClient(LPCREATESTRUCT lpcs,
                        CCreateContext* pContext);
    afx_msg void OnSysCommand(UINT nId, LPARAM lParam) ;

    // Generated message map functions
    //{{AFX_MSG(CMDIMultiViewChildWnd)
        // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CSDIMultiViewWnd frame

class CSDIMultiViewWnd : public CFrameWnd
{
    DECLARE_DYNCREATE(CSDIMultiViewWnd)
protected:
    CSDIMultiViewWnd(); // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
    void  SetActiveView(CView *pViewNew ,
                        BOOL bNotify = TRUE) ;
    CView *AddView(CCreateContext* pContext)
                    { return (CView *)
                            (OnCreateClient(NULL,
                                            pContext)); };

// Implementation
protected:
    int nViewId ;
    virtual ~CSDIMultiViewWnd();
    BOOL OnCreateClient(LPCREATESTRUCT lpcs,
                        CCreateContext* pContext);

    // Generated message map functions
    //{{AFX_MSG(CSDIMultiViewWnd)
        // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
